package sun.awt.image;

import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;

public class ByteArrayImageSource extends InputStreamImageSource
{
    byte[] imagedata;
    int imageoffset;
    int imagelength;
    
    public ByteArrayImageSource(byte[] array) {
        this(array, 0, array.length);
    }
    
    public ByteArrayImageSource(byte[] imagedata, int imageoffset, int imagelength) {
        this.imagedata = imagedata;
        this.imageoffset = imageoffset;
        this.imagelength = imagelength;
    }
    
    @Override
    final boolean checkSecurity(Object o, boolean b) {
        return true;
    }
    
    @Override
    protected ImageDecoder getDecoder() {
        return super.getDecoder(new BufferedInputStream(new ByteArrayInputStream(this.imagedata, this.imageoffset, this.imagelength)));
    }
}
